package com.ruoyi.demo.entity.bo;


import com.ruoyi.demo.entity.HouseWd;
import com.ruoyi.demo.entity.WdInfo;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class HouseWdInfoBo extends WdInfo implements Serializable {
    private HouseWd houseWd;

    private List<String> tags;
    public HouseWdInfoBo(WdInfo wdInfo) {
        setWdId(wdInfo.getWdId());
        setAddrInfo(wdInfo.getAddrInfo());
        setAudit(wdInfo.getAudit());
        setTypeNameBy(wdInfo.getTypeNameBy());
        setAddrCode(wdInfo.getAddrCode());
        setCollectPerson(wdInfo.getCollectPerson());
        setTypeNameBy(wdInfo.getTypeNameBy());
        setCollectTime(wdInfo.getCollectTime());
        setCollectUserId(wdInfo.getCollectUserId());
        setCreateDate(wdInfo.getCreateDate());
        setEnterTime(wdInfo.getEnterTime());
        setLat(wdInfo.getLat());
        setLng(wdInfo.getLng());
        setRent(wdInfo.getRent());
        setTypeCodeBy(wdInfo.getTypeCodeBy());
        setWdImg(wdInfo.getWdImg());
        setWdName(wdInfo.getWdName());
        setWdTypeCode(wdInfo.getWdTypeCode());
    }

    public HouseWdInfoBo() {

    }
}
